Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.jade
Class JadeAg

    java.lang.Object
      jade.core.Agent
          jason.infra.jade.JadeAg

All Implemented Interfaces:
  jade.core.TimerListener, java.io.Serializable, java.lang.Runnable

Direct Known Subclasses:
  JadeAgArch, JadeEnvironment, JadeExecutionControl

    public abstract class JadeAg

extends jade.core.Agent

Implementation of a basic jade agent for jason agents

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jade.core.Agent
`jade.core.Agent.Interrupted`

Field Summary
`static int` | `ASKALL`
`static int` | `ASKHOW`
`protected java.util.Map<java.lang.String,java.lang.String>` | `conversationIds`
`protected java.util.logging.Logger` | `logger`
`protected boolean` | `running`
`protected static int` | `rwid`
`static int` | `TELLHOW`
`static int` | `UNACHIEVE`
`static int` | `UNTELL`
`static int` | `UNTELLHOW`

Fields inherited from class jade.core.Agent
`AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

Constructor Summary
`JadeAg()`

Method Summary
`static java.lang.String` | `aclToKqml(int p)`
`void` | `addAllAgsAsReceivers(jade.lang.acl.ACLMessage m)`
`protected jade.lang.acl.ACLMessage` | `ask(jade.lang.acl.ACLMessage m)`
`void` | `broadcast(Message m)`
`void` | `doDelete()`
`boolean` | `isRunning()`
`protected jade.lang.acl.ACLMessage` | `jasonToACL(Message m)`
`static int` | `kqmlToACL(java.lang.String p)`
`void` | `sendMsg(Message m)`

Methods inherited from class jade.core.Agent
`addBehaviour, afterClone, afterMove, beforeClone, beforeMove, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, createMessageQueue, doActivate, doClone, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, setup, takeDown, waitUntilStarted, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNTELL

    public static final int UNTELL

See Also:
  Constant Field Values

### ASKALL

    public static final int ASKALL

See Also:
  Constant Field Values

### UNACHIEVE

    public static final int UNACHIEVE

See Also:
  Constant Field Values

### TELLHOW

    public static final int TELLHOW

See Also:
  Constant Field Values

### UNTELLHOW

    public static final int UNTELLHOW

See Also:
  Constant Field Values

### ASKHOW

    public static final int ASKHOW

See Also:
  Constant Field Values

### logger

    protected java.util.logging.Logger logger

### rwid

    protected static int rwid

### running

    protected boolean running

### conversationIds

    protected java.util.Map<java.lang.String,java.lang.String> conversationIds

Constructor Detail

### JadeAg

    public JadeAg()

Method Detail

### doDelete

    public void doDelete()

  Overrides:
    `doDelete` in class `jade.core.Agent`

### isRunning

    public boolean isRunning()

### sendMsg

    public void sendMsg(Message m)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### broadcast

    public void broadcast(Message m)

### ask

    protected jade.lang.acl.ACLMessage ask(jade.lang.acl.ACLMessage m)

### addAllAgsAsReceivers

    public void addAllAgsAsReceivers(jade.lang.acl.ACLMessage m)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### jasonToACL

    protected jade.lang.acl.ACLMessage jasonToACL(Message m)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### kqmlToACL

    public static int kqmlToACL(java.lang.String p)

### aclToKqml

    public static java.lang.String aclToKqml(int p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD